Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: event::TimerEventManager::Schedule Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::TimerEventManager::Schedule Struct Reference

Schedule structure. More...

`import <TimerEventManager.idl;`

## Public Attributes
boolean | enabled
| Whether the timer event is enabled.
vector< Range > | minute
| Ranges for minute.
vector< Range > | hour
| Ranges for hour.
vector< Range > | dayOfMonth
| Ranges for day of month.
vector< Range > | month
| Ranges for month.
vector< Range > | dayOfWeek
| Ranges for day of week.

## Detailed Description

Schedule structure.

An empty vector means a match for all values. The values range of every field depends on the meaning of the field. For minutes 0-59 is possible, for hour 0-24 and for day of month 0-31. For month and day of weeks the definitions above should be used.

The system's local time will be used (as defined by the configured time zone).

Definition at line 72 of file TimerEventManager.idl.

## Member Data Documentation

## ◆ dayOfMonth

vector<Range> event::TimerEventManager::Schedule::dayOfMonth

Ranges for day of month.

Definition at line 76 of file TimerEventManager.idl.

## ◆ dayOfWeek

vector<Range> event::TimerEventManager::Schedule::dayOfWeek

Ranges for day of week.

Definition at line 78 of file TimerEventManager.idl.

## ◆ enabled

boolean event::TimerEventManager::Schedule::enabled

Whether the timer event is enabled.

Definition at line 73 of file TimerEventManager.idl.

## ◆ hour

vector<Range> event::TimerEventManager::Schedule::hour

Ranges for hour.

Definition at line 75 of file TimerEventManager.idl.

## ◆ minute

vector<Range> event::TimerEventManager::Schedule::minute

Ranges for minute.

Definition at line 74 of file TimerEventManager.idl.

## ◆ month

vector<Range> event::TimerEventManager::Schedule::month

Ranges for month.

Definition at line 77 of file TimerEventManager.idl.

The documentation for this struct was generated from the following file:

- TimerEventManager.idl